
Foreman - Feature #3664

Support deletion of installation media that's in use

11/15/2013 02:06 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Database   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1575

  

Description

When deleting a installation media that's associated to a host or host group, the deletion fails.

Actual results:

Error, installation medium is not deleted.

Expected results:

Hosts and Host Groups are un-associated to the install media and the install media is deleted.

Additional info:

Current work around is to unassociate that install media from any host or host groups in foreman and re-try the promotion.

Error in foreman:

Started DELETE "/foreman/api/media/14" for 127.0.0.1 at 2013-11-08 16:54:00 -0500

    Processing by Api::V1::MediaController#destroy as JSON

      Parameters: {"id"=>"14", "medium"=>{}}

    Authorized user admin(Admin User)

    You may not destroy Mosaic/Development/Desktop Fedora Fedora 19 x86_64 as it is in use!

    Unprocessable entity Medium (id: 14):

      Mosaic/Development/Desktop Fedora Fedora 19 x86_64 is used by Desktop

 
Rendered api/v1/errors/unprocessable_entity.json.rabl (1.4ms)

    Completed 422 Unprocessable Entity in 54ms (Views: 2.6ms | ActiveRecord: 34.7ms)

 (https://bugzilla.redhat.com/show_bug.cgi?id=1030584)

Related issues:

Related to Foreman - Feature #6401: change include blank option to "No enviro... New

Associated revisions

Revision 08d248fc - 07/15/2014 08:50 AM - Joseph Magen

fixes #3664 - support deletion of installation media that's in use

History

#1 - 11/15/2013 02:09 PM - Dominic Cleal

We need to consider the user experience thoroughly without just changing the association to nullify.  For example, the host edit page doesn't have an

allow_blank on the install media selection, so it appears that the install media is actually selected when it isn't.

Perhaps we should block deletion when there are associated hosts in build mode?

Perhaps we should ensure the user gets a good error message when they put a host into build mode that's missing install media?  (I haven't checked)

#2 - 07/06/2014 04:10 AM - Joseph Magen
https://bugzilla.redhat.com/show_bug.cgi?id=1030584


- Status changed from New to Assigned

- Assignee set to Joseph Magen

- Target version set to 1.8.1

#3 - 07/06/2014 04:41 AM - Joseph Magen

- Related to Feature #6401: change include blank option to "No environments" or "No subnets", etc if there are no select options, or "Select

environment", "Select subnet" if for required field and options > 1 added

#4 - 07/06/2014 04:43 AM - Joseph Magen

The media field on the host form does allow for a blank option, we can do :nullify if the host is not in build mode.

Is this still a bug now that Katello (I think) doesn't create a media entry?

#5 - 07/07/2014 04:28 AM - Dominic Cleal

Joseph Magen wrote:

The media field on the host form does allow for a blank option, we can do :nullify if the host is not in build mode.

 Editing hosts one by one isn't very practical.

Is this still a bug now that Katello (I think) doesn't create a media entry?

 Plenty of people use Foreman without Katello.

#6 - 07/07/2014 07:19 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#7 - 07/09/2014 07:56 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1575

#8 - 07/15/2014 08:51 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1575 added

#9 - 07/15/2014 09:01 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 08d248fc303ec19f25fbf4f8d353ff09cd325697.

#10 - 07/21/2014 04:45 AM - Dominic Cleal

- translation missing: en.field_release set to 10
